
Redmine - Defect #30718

Translation missing for filter by project status

2019-01-30 08:45 - Vladislav Yashin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 4.0.2   

Resolution: Fixed Affected version: 4.0.1

Description

Redmine version: 4.0.1.stable

Ruby version: 2.6.0

Related issues:

Related to Redmine - Feature #20081: Filter issues and time entries by projec... Closed

Associated revisions

Revision 17868 - 2019-02-16 00:38 - Go MAEDA

Ensure that the current language is 'en' in the test (#30718).

Patch by Pavel Rosický.

Revision 17869 - 2019-02-16 00:44 - Go MAEDA

Translation missing error in "Project's Status" filter options (#30718).

Patch by Marius BALTEANU.

Revision 17871 - 2019-02-16 01:34 - Go MAEDA

Merged r17868 from trunk to 4.0-stable (#30718).

Revision 17872 - 2019-02-16 01:35 - Go MAEDA

Merged r17869 from trunk to 4.0-stable (#30718).

History

#1 - 2019-01-30 09:41 - Bernhard Rohloff

I can reproduce this issue on my upgraded production instance. Surprisingly it doesn't occur in my development setup.

#2 - 2019-02-13 17:03 - Lszl Frng

- File Screenshot_2019-02-13 Issues.png added

The problem is also present in version 4.0.0.stable

Environment:

Redmine version                4.0.0.stable

Ruby version                   2.5.1-p57 (2018-03-29) [x86_64-linux-gnu]

Rails version                  5.2.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.9.7

Git                            2.17.1

Filesystem

Redmine plugins:

redmine_agile                  1.4.7

redmine_issue_dynamic_edit     0.6.5

redmine_lightbox2              0.5.0
#3 - 2019-02-13 20:15 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#4 - 2019-02-13 23:25 - Pavel Rosický

I can confirm the problem.

status translations are evaluated only once during start of the server, see

https://github.com/redmine/redmine/blob/4e9886f9b5d4df10cd76d67312c06b8af5a17903/app/models/project.rb#L28

as a result it'll always be in english or translation missing (in combination with some 3rd party plugins).

QueryTest#test_project_statuses_values_should_return_only_active_and_closed_statuses should also be fixed because the test always expects

english strings even if the current locale is different

Expected: [["active", "1"], ["closed", "5"]]

  Actual: [["actif", "1"], ["fermé", "5"]]

#5 - 2019-02-14 22:42 - Marius BĂLTEANU

- Related to Feature #20081: Filter issues and time entries by project status added

#6 - 2019-02-14 22:45 - Marius BĂLTEANU

- File fix_for_30718.patch added

Could you test, please, the attached patch and tell me if it fixes the problem?

#7 - 2019-02-14 22:52 - Marius BĂLTEANU

- File deleted (fix_for_30718.patch)

#8 - 2019-02-14 22:52 - Marius BĂLTEANU

- File 0001-Fix-30718.patch added

#9 - 2019-02-15 15:15 - Pavel Rosický

- File query_test.rb.patch added

works fine, thanks

#10 - 2019-02-15 16:00 - Marius BĂLTEANU

- Target version set to 4.0.2

#11 - 2019-02-15 16:01 - Marius BĂLTEANU

- Assignee deleted (Marius BĂLTEANU)

Patches to commit:

1. 0001-Fix-30718.patch

2. query_test.rb.patch

#12 - 2019-02-16 00:45 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed. Thank you all for reporting, investigating, and fixing this issue.

#13 - 2019-02-16 01:35 - Go MAEDA

- Status changed from Resolved to Closed

Merged to 4.0-stable branch.

Files

Снимок экрана 2019-01-30 в 11.44.26.png 30.7 KB 2019-01-30 Vladislav Yashin
https://github.com/redmine/redmine/blob/4e9886f9b5d4df10cd76d67312c06b8af5a17903/app/models/project.rb#L28
https://www.redmine.org/attachments/22414
https://www.redmine.org/attachments/22418


Screenshot_2019-02-13 Issues.png 6.81 KB 2019-02-13 Lszl Frng

0001-Fix-30718.patch 1.42 KB 2019-02-14 Marius BĂLTEANU

query_test.rb.patch 479 Bytes 2019-02-15 Pavel Rosický
